CALLWEAVER(8)

NAME
callweaver - All-purpose telephony server.

SYNOPSIS
callweaver [ -tThfdvVqpRgcin ] [ -C file ] [ -U user ] [ -G group ] [ -x command ] [ -M value ] callweaver -r [ -v ] [ -x command ]

DESCRIPTION

callweaver is a full-featured telephony server which provides Private Branch eXchange (PBX), Interactive Voice Response (IVR), Automated Call Distribution (ACD), Voice over IP (VoIP) gatewaying, Conferencing, and a plethora of other telephony applications to a broad range of telephony devices including packet voice (SIP, IAX, MGCP, Skinny, H.323) devices (both endpoints and proxies), as well as traditional TDM hardware including T1, E1, ISDN PRI, GR-303, RBS, Loopstart, Groundstart, ISDN BRI, T38, and many more.

CallWeaver reads most of its configuration files from configuration files located in /opt/callweaver/etc. Virtually all aspects of the operation of callweaver's configuration files can be found in the sample configuration files. The format for those files is generally beyond the scope of this man page.

When running with -c, -r or -R options, CallWeaver supplies a powerful command line, including command completion, which may be used to monitors its status, perform a variety of administrative actions and even explore the applications that are currently loaded into the system.

OPTIONS

-C file
    Use file as master configuration file instead of the default, ex: /opt/callweaver/etc/callweaver.conf

-c  Provide a control console on the calling terminal. Specifying this option implies -f and will cause callweaver to no longer fork or detach from the controlling terminal.

-d  Enable extra debugging statements.

-f  Do not fork or detach from controlling terminal.

-g  Remove resource limit on core size, thus forcing CallWeaver to dump core in the unlikely event of a segmentation fault or abort signal. NOTE: in some cases this may be incompatible with the -U or -G flags.

-G group
    Run as group group instead of the calling group. NOTE: this requires substantial work to be sure that CallWeaver's environment has permission to write the files required for its operation, including logs, its comm socket, the callweaver database, etc.

-h  Provide brief summary of command line arguments and terminate.

-i  Prompt user to intialize any encrypted private keys during startup.

-L loadaverage
    Limits the maximum load average before rejecting new calls. This can be useful to prevent a system from being brought down by terminating too many simultaneous calls.

-M value
    Limits the maximum number of calls to the specified value. This can be useful to prevent a system from being brought down by terminating too many simultaneous calls.

-n  Disable ANSI colors even on terminals capable of displaying them.

-p  If supported by the operating system (and executing as root), attempt to run with realtime priority for increased performance and responsiveness within the CallWeaver process, at the expense of other programs running on the same machine.

-q  Reduce default console output when running in conjunction with console mode (-c).

-r  Instead of running a new CallWeaver process, attempt to connect to a running CallWeaver process and provide a console interface for controlling it.

-R  Much like -r. Instead of running a new CallWeaver process, attempt to connect to a running CallWeaver process and provide a console interface for controlling it. Additionally, if connection to the CallWeaver process is lost, attempt to reconnect for as long as 30 seconds.

-t  When recording files, write them first into a temporary holding directory, then move them into the final location when done.

-T  Add timestamp to all non-command related output going to the console when running with verbose and/or logging to the console.

-U user
    Run as user user instead of the calling user. NOTE: this requires substantial work to be sure that CallWeaver's environment has permission to write the files required for its operation, including logs, its comm socket, the callweaver database, etc.

-v  Increase the level of verboseness on the console. The more times -v is specified, the more verbose the output is. Specifying this option implies -f and will cause callweaver to no longer fork or detach from the controlling terminal. This option may also be used in conjunction with -r and -R

-V  Display version information and exit immediately.

-x command
    Connect to a running CallWeaver process and execute a command on a command line, passing any output through to standard out and then terminating when the command execution completes. Implies -r when -R is not explicitly supplied.

EXAMPLES

callweaver - Begin CallWeaver as a daemon

callweaver -vvvgc - Run on controlling terminal

callweaver -rx "show channels" - Display channels on running server

BUGS

Bug reports and feature requests may be filed at http://trac.callweaver.org

SEE ALSO

*CLI> help - Help on CallWeaver CLI

*CLI> show applications - Show loaded applications

http://www.callweaver.org - The CallWeaver Home Page

http://wiki.callweaver.org - The CallWeaver.org Wiki

AUTHOR

CallWeaver Community www.callweaver.org

Countless number of contributers, see CREDITS with distribution for more information